import { computed } from 'vue'
import Konva from 'konva'

const useAnchor = (anchorRef: Konva.ShapeConfig) => {
  const anchor = computed<Konva.Shape>(() => anchorRef.value?.getNode())

  const showAnchorPoint = (x: number, y: number) => {
    anchor.value.to({ x, y, duration: 0 })
    anchor.value.show()
  }

  const hideAnchorPoint = () => {
    anchor.value.to({ x: -10, y: -10, duration: 0 })
    anchor.value.hide()
  }

  return { showAnchorPoint, hideAnchorPoint }
}

export default useAnchor
