import VSegmentation from './components/VSegmentation/VSegmentation.vue'
import VBoundingBox from './components/VBoundingBox/VBoundingBox.vue'

export function install(Vue) {
  if (install.installed) return
  install.installed = true
  Vue.component('VSegmentation', VSegmentation)
  Vue.component('VBoundingBox', VBoundingBox)
}

// Create module definition for Vue.use()
const plugin = {
  install
}

let GlobalVue = null
if (typeof window !== 'undefined') {
  GlobalVue = window.Vue
} else if (typeof global !== 'undefined') {
  GlobalVue = global.Vue
}
if (GlobalVue) {
  GlobalVue.use(plugin)
}

export { VSegmentation, VBoundingBox }
